import { AnnotationLayer } from "./AnnotationLayer";
import { Axis } from "./Axis";
import { DataToolTipLayerGroupingMode } from "igniteui-react-core";
import { Series } from "./Series";
import { Rect } from "igniteui-react-core";
import { Point, Type } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { DataTooltipGroupedPositionX } from "igniteui-react-core";
import { DataTooltipGroupedPositionY } from "igniteui-react-core";
import { DataAbbreviationMode } from "igniteui-react-core";
import { DataLegendValueMode } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { DataLegendHeaderDateMode } from "igniteui-react-core";
import { DataLegendHeaderTimeMode } from "igniteui-react-core";
import { DataLegendSummaryType } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { DataLegendLayoutMode } from "igniteui-react-core";
import { DataLegendUnitsMode } from "igniteui-react-core";
import { DataLegendLabelMode } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { IDataLegend } from "igniteui-react-core";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class DataToolTipLayer extends AnnotationLayer {
    static $t: Type;
    protected bi(): Series;
    protected get_ep(): boolean;
    constructor();
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    protected aai: DataToolTipLayerView;
    protected get_e0(): boolean;
    zx: Axis;
    abf: boolean;
    aag: DataToolTipLayerGroupingMode;
    private aae;
    get aaf(): DataToolTipLayerGroupingMode;
    set aaf(a: DataToolTipLayerGroupingMode);
    private aah;
    protected q4(a: any, b: string, c: any, d: any): void;
    private abj;
    private abk;
    private ae7;
    afb(a: string, b: any): void;
    private ae8;
    protected yf(a: Axis, b: boolean): void;
    protected yg(a: Series, b: boolean): void;
    protected yi(a: Frame, b: SeriesView): void;
    private abl;
    private zw;
    private aaj;
    p1(): void;
    p2(): void;
    get ahh(): Rect;
    get ahg(): Rect;
    get ahf(): Rect;
    get ahj(): Rect;
    private ahi;
    private abb;
    private aa8;
    private aa9;
    private aba;
    private ace;
    private acc;
    private acd;
    private acn;
    private acl;
    private acm;
    private ach;
    private acf;
    private acg;
    private abx;
    private abz;
    private aby;
    private ab6;
    private ab8;
    private ab7;
    private ab3;
    private ab5;
    private ab4;
    private abt;
    private ab0;
    private ab1;
    private ab2;
    private abu;
    private abv;
    private abw;
    private acb;
    private aca;
    private ab9;
    private ack;
    private acj;
    private aci;
    private abs;
    private ahe;
    private abr;
    private abq;
    private zr;
    private zq;
    private abc;
    private abd;
    private ae6;
    private aa5;
    private afa;
    private ae9;
    private acq;
    protected yl(a: Frame, b: SeriesView): void;
    protected f8(): boolean;
    abo: number;
    abp: number;
    abm: number;
    abn: number;
    z8: DataTooltipGroupedPositionX;
    private z6;
    get z7(): DataTooltipGroupedPositionX;
    set z7(a: DataTooltipGroupedPositionX);
    private z9;
    aac: DataTooltipGroupedPositionY;
    private aaa;
    get aab(): DataTooltipGroupedPositionY;
    set aab(a: DataTooltipGroupedPositionY);
    private aad;
    abe: boolean;
    zu: string[];
    zp: string[];
    zt: string[];
    zo: string[];
    zy: DataAbbreviationMode;
    aco: number;
    acp: number;
    z5: DataLegendValueMode;
    aep: string;
    abg: boolean;
    aev: string;
    zv: any[];
    ahu: Thickness;
    abh: boolean;
    ae4: string;
    abi: boolean;
    ahv: Thickness;
    ahd: Brush;
    private aau;
    get aa4(): FontInfo;
    set aa4(a: FontInfo);
    adc: string;
    zs: any[];
    ac8: string;
    zz: DataLegendHeaderDateMode;
    z0: DataLegendHeaderTimeMode;
    adh: string;
    ag5: Brush;
    aho: Thickness;
    ahn: Thickness;
    aa7: boolean;
    private aam;
    get aaw(): FontInfo;
    set aaw(a: FontInfo);
    aa6: boolean;
    ag4: Brush;
    ahm: Thickness;
    ahl: Thickness;
    private aal;
    get aav(): FontInfo;
    set aav(a: FontInfo);
    ag8: Brush;
    private aap;
    get aaz(): FontInfo;
    set aaz(a: FontInfo);
    z3: DataLegendSummaryType;
    ad1: string;
    ahr: Thickness;
    ahq: Thickness;
    aha: Brush;
    private aar;
    get aa1(): FontInfo;
    set aa1(a: FontInfo);
    adw: string;
    ag7: Brush;
    private aao;
    get aay(): FontInfo;
    set aay(a: FontInfo);
    ad7: string;
    ag9: Brush;
    private aaq;
    get aa0(): FontInfo;
    set aa0(a: FontInfo);
    ahk: Thickness;
    aak: LegendItemBadgeShape;
    z2: DataLegendLayoutMode;
    z4: DataLegendUnitsMode;
    aei: string;
    ahc: Brush;
    aht: Thickness;
    private aat;
    get aa3(): FontInfo;
    set aa3(a: FontInfo);
    ahs: Thickness;
    ahb: Brush;
    private aas;
    get aa2(): FontInfo;
    set aa2(a: FontInfo);
    z1: DataLegendLabelMode;
    ag6: Brush;
    ahp: Thickness;
    private aan;
    get aax(): FontInfo;
    set aax(a: FontInfo);
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class DataToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: DataToolTipLayer);
    b9: Pool$1<any>;
    ak(): void;
    protected cc: List$1<PointerTooltip>;
    private cd;
    private cf;
    private ch;
    private cg;
    protected b7: DataToolTipLayer;
    private ca;
    au(): void;
    private _htmlTest;
    protected get htmlTest(): any;
    protected set htmlTest(a: any);
    cb(a: any, b: Series): boolean;
    cq(a: any): Size;
    cp(): Rect;
    co(): Rect;
    cn(): Rect;
    cm(a: Point): Point;
    ck(a: any, b: number, c: number, d: number, e: number): void;
    cr(): Size;
    ci(a: any): void;
    cl(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    b8(a: any): IDataLegend;
    cj(a: boolean): void;
}
